org.apache.calcite.avatica

## Interface Meta.PrepareCallback

Enclosing interface:
  Meta

    public static interface Meta.PrepareCallback

API to put a result set into a statement, being careful to enforce thread-safety and not to overwrite existing open result sets.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `assign(Meta.Signature signature, Meta.Frame firstFrame, long updateCount)`
`void` `clear()`
`void` `execute()`
`Object` `getMonitor()`

### Method Detail

#### getMonitor

    Object getMonitor()

#### clear

    void clear()
        throws SQLException

Throws:
  `SQLException`

#### assign

    void assign(Meta.Signature signature,
                Meta.Frame firstFrame,
                long updateCount)
         throws SQLException

Throws:
  `SQLException`

#### execute

    void execute()
          throws SQLException

Throws:
  `SQLException`